Subject: Re: [nmrg] [[email-masked]: I-D Action:draft-irtf-dtnrg-ding-network-management-00.txt]
From: Juergen Schoenwaelder <[email-masked]>
To: "G. Clark" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Thu, 28 Jan 2010 08:34:42 +0100
List-Id: Network Management Research Group <nmrg.ibr.cs.tu-bs.de>

On Wed, Jan 27, 2010 at 06:13:29PM +0100, G. Clark wrote:
 
> One of the things Ohio U. has been experimenting with recently is 
> network management / monitoring in delay / disruption tolerant 
> networks.  We have found that SNMP does not seem to work well in 
> environments where there is a significant amount of delay and / or loss, 
> but works very well on most terrestrial networks.  To address this, we 
> decided to construct a proxy that sits between a terrestrial network and 
> a DTN.  It uses DING to gather information from nodes in the DTN and 
> populate a cache.  The proxy then uses this cache to answer SNMP GETs 
> from the terrestrial network.  This reply contains the most recent 
> information available relating to the host specified in the query.
> 
> This RFC describes the protocol that the gateway and the DTN nodes use 
> to communicate.
>
> DING itself relies exclusively on scheduled updates for communication.  
> Once a schema is sent, the remote node will send network information to 
> the proxy at scheduled intervals until A) a request to remove the schema 
> is received or B) a request to modify the schema's schedule is received. 
> 
> Note that the scheduling mechanism is not described in the current 
> version of the RFC.  At the moment, the schedule is sent as a part of 
> the schema, although this has some large disadvantages associated with 
> it (e.g. to update a schedule, a schema must be completely replaced).  
> Thus, this is likely to change in the near future.

The document needs to first describe the basic idea - this was
completely lacking. I am also confused by the terminology - the term
"schema" is usually used for static data model definitions and not for
dynamic subscriptions - since I believe this is what your model is: An
SNMP agent that creats a subscribtion to receive updates from the
instrumentation, in your case residing on a long delay path.

Note that the 6lowapp people discuss very similar designs, although
for very different reasons. Perhaps it is useful to at least monitor
what they are working on.

> This document is indeed a work in progress; feedback would be appreciated.

Once you have a more complete document, feel free to use this list to
solicit review and feedback.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

Date: Wed, 27 Jan 2010 12:13:29 -0500
From: "G. Clark" <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: [nmrg] [[email-masked]: I-D Action:draft-irtf-dtnrg-ding-network-management-00.txt]

Hi:

First of all, I have to apologize to the dtnrg folks: I intended to post 
this document to the DTNRG working group, but instead it was announced 
as an independent submission.  I am working to correct this.

In any case, I thought it might be a good idea to provide some 
background for this document.

One of the things Ohio U. has been experimenting with recently is 
network management / monitoring in delay / disruption tolerant 
networks.  We have found that SNMP does not seem to work well in 
environments where there is a significant amount of delay and / or loss, 
but works very well on most terrestrial networks.  To address this, we 
decided to construct a proxy that sits between a terrestrial network and 
a DTN.  It uses DING to gather information from nodes in the DTN and 
populate a cache.  The proxy then uses this cache to answer SNMP GETs 
from the terrestrial network.  This reply contains the most recent 
information available relating to the host specified in the query.

This RFC describes the protocol that the gateway and the DTN nodes use 
to communicate.

DING itself relies exclusively on scheduled updates for communication.  
Once a schema is sent, the remote node will send network information to 
the proxy at scheduled intervals until A) a request to remove the schema 
is received or B) a request to modify the schema's schedule is received. 

Note that the scheduling mechanism is not described in the current 
version of the RFC.  At the moment, the schedule is sent as a part of 
the schema, although this has some large disadvantages associated with 
it (e.g. to update a schedule, a schema must be completely replaced).  
Thus, this is likely to change in the near future.

This document is indeed a work in progress; feedback would be appreciated.

Thanks,
Gilbert Clark
Grad Student

Juergen Schoenwaelder wrote:
> Hi,
>
> there apparently is work going on in the Detlay Tolerant Network
> Research Group (DTNGR) that touches on topics where this group has
> some experience - there was work on SNMP payload compression about 10
> years ago here and in the EOS IETF WG. This ID still seems to be early
> work in the sense that I did not fully understand what the end goal of
> this work will be. Anyway, people might be interested to take a look
> or even contribute.
>
> /js
>
> ----- Forwarded message from "[email-masked]" <[email-masked]> -----
>
> Date: Wed, 27 Jan 2010 05:15:02 +0100
> From: "[email-masked]" <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Subject: I-D Action:draft-irtf-dtnrg-ding-network-management-00.txt
> Message-ID: <[email-masked]>
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
> 	Title           : DING Protocol -- A Protocol For Network Management
> 	Author(s)       : G. Clark
> 	Filename        : draft-irtf-dtnrg-ding-network-management-00.txt
> 	Pages           : 11
> 	Date            : 2010-01-26
>
> This memo describes the DING (Diagnostic Interplanetary Network
> Gateway) protocol, which is a network management protocol designed
> for use in delay and disruption tolerant networks (DTNs).  The
> protocol is designed to eliminate some of the overhead involved with
> using SNMP to manage hosts on a DTN.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-irtf-dtnrg-ding-network-management-00.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
> ----- End forwarded message -----
>
>   

Date: Wed, 27 Jan 2010 10:54:26 +0100
From: Juergen Schoenwaelder <[email-masked]>
To: [email-masked]
Mail-Followup-To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Subject: [nmrg] [[email-masked]: I-D Action:draft-irtf-dtnrg-ding-network-management-00.txt]
Reply-To: Juergen Schoenwaelder <[email-masked]>

Hi,

there apparently is work going on in the Detlay Tolerant Network
Research Group (DTNGR) that touches on topics where this group has
some experience - there was work on SNMP payload compression about 10
years ago here and in the EOS IETF WG. This ID still seems to be early
work in the sense that I did not fully understand what the end goal of
this work will be. Anyway, people might be interested to take a look
or even contribute.

/js

----- Forwarded message from "[email-masked]" <[email-masked]> -----

Date: Wed, 27 Jan 2010 05:15:02 +0100
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: I-D Action:draft-irtf-dtnrg-ding-network-management-00.txt
Message-ID: <[email-masked]>

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : DING Protocol -- A Protocol For Network Management
	Author(s)       : G. Clark
	Filename        : draft-irtf-dtnrg-ding-network-management-00.txt
	Pages           : 11
	Date            : 2010-01-26

This memo describes the DING (Diagnostic Interplanetary Network
Gateway) protocol, which is a network management protocol designed
for use in delay and disruption tolerant networks (DTNs).  The
protocol is designed to eliminate some of the overhead involved with
using SNMP to manage hosts on a DTN.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-irtf-dtnrg-ding-network-management-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

----- End forwarded message -----

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>